// CameraViewerDlg.h : wb_[ t@C
//

#pragma once

#include "Capture/Capture.h"

#include <math.h>
#include <iostream>
#include <fstream>
#include <vector>
#include <string>

#include "afxwin.h"
using namespace std;




// CCameraViewerDlg _CAO
class CCameraViewerDlg : public CDialog
{
// RXgNV
public:
	CCameraViewerDlg(CWnd* pParent = NULL);	// WRXgN^

// _CAO f[^
	enum { IDD = IDD_CameraViewer_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV T|[g


// 
protected:
	HICON m_hIcon;

	// ꂽAbZ[W蓖Ċ֐
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonView();
	afx_msg BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnBnClickedCancel();



	static UINT CaptureThread(LPVOID pParam);
	void        CaptureThread();
	CWinThread* m_pCaptureThread;
	bool        m_loopEnable;

	Capture		m_capture;
	int m_combo_camera_id;
	int m_combo_image_size;
	int m_combo_fps;
	int m_max_camera_num;
	
	vector<CvSize> m_size_list;
	vector<double> m_fps_list;

	int LoadConfigFile( const char* filename );
	int SaveConfigFile( const char * filename );

	CComboBox m_cntl_combo_camera_id;
	CComboBox m_cntl_combo_image_size;
	CComboBox m_cntl_combo_fps;
	CButton m_cntl_button_view;

	static UINT KillThread(LPVOID pParam);
	void KillThread();
	CWinThread* m_pKillThread;
};
